org.apache.sysds.runtime.matrix.operators

## Class CountDistinctOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.CountDistinctOperator

All Implemented Interfaces:
  Serializable

    public class CountDistinctOperator
    extends Operator

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `CountDistinctOperator.CountDistinctTypes`

### Field Summary

Fields
`Hash.HashType` `hashType`
`CountDistinctOperator.CountDistinctTypes` `operatorType`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

### Constructor Summary

Constructors
Constructor and Description
`CountDistinctOperator(AggregateUnaryCPInstruction.AUType opType)`
`CountDistinctOperator(CountDistinctOperator.CountDistinctTypes operatorType)`
`CountDistinctOperator(CountDistinctOperator.CountDistinctTypes operatorType, Hash.HashType hashType)`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### operatorType

    public final CountDistinctOperator.CountDistinctTypes operatorType

#### hashType

    public final Hash.HashType hashType

### Constructor Detail

#### CountDistinctOperator

    public CountDistinctOperator(AggregateUnaryCPInstruction.AUType opType)

#### CountDistinctOperator

    public CountDistinctOperator(CountDistinctOperator.CountDistinctTypes operatorType)

#### CountDistinctOperator

    public CountDistinctOperator(CountDistinctOperator.CountDistinctTypes operatorType,
                                 Hash.HashType hashType)